# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.545   -> 1.546  
#	  drivers/usb/uhci.c	1.26    -> 1.27   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/03/18	johannes@erdfelt.com	1.546
# [PATCH] uhci.c 2.4.19-pre3 kmem_cache_alloc flags
# 
# My previous patch which cleaned up some of the spinlocks, moved one of
# the spinlocks around a call to kmem_cache_alloc. It would sometimes
# erroneously call it with GFP_KERNEL.
# 
# This patch fixes the problem by always calling it with GFP_ATOMIC.
# Thanks to Greg for pointing this out to me.
# 
# JE
# --------------------------------------------
#
diff -Nru a/drivers/usb/uhci.c b/drivers/usb/uhci.c
--- a/drivers/usb/uhci.c	Wed Apr  3 16:40:08 2002
+++ b/drivers/usb/uhci.c	Wed Apr  3 16:40:08 2002
@@ -619,7 +619,7 @@
 {
 	struct urb_priv *urbp;
 
-	urbp = kmem_cache_alloc(uhci_up_cachep, in_interrupt() ? SLAB_ATOMIC : SLAB_KERNEL);
+	urbp = kmem_cache_alloc(uhci_up_cachep, SLAB_ATOMIC);
 	if (!urbp) {
 		err("uhci_alloc_urb_priv: couldn't allocate memory for urb_priv\n");
 		return NULL;
